Subject: Re: 2.6.17-rc4: netfilter LOG messages truncated via NETCONSOLE

From: Frank van Maarseveen <[email-masked]>
Date: Wed, 31 May 2006 20:20:19 +0200

On Wed, May 31, 2006 at 07:46:20PM +0200, Patrick McHardy wrote:
> Frank van Maarseveen wrote:
> > On Wed, May 31, 2006 at 06:36:35PM +0200, Patrick McHardy wrote:
> > 
> >>The messages might get dropped when the output queue is full.
> >>Does one of the drop counters shown by "ip -s link list"
> >>and "tc -s -d qdisc show" increase (the other counts might also
> >>give some clues)? Otherwise please apply the attached patch
> >>(should fix tcpdump, last patch was incomplete) and post a dump.
> > 
> > 
> > No visible improvement with the new patch.
> 
> Does this mean tcpdump doesn't show any packets?

tcpdump output is consistent with what the netconsole receiver sees: 9
packets are still missing. I know there are 9 because 2.6.13.2 shows them.

The two patches behaved identically for me.

> 
> > ip -s link doesn't show any
> > dropped packets so far with any patch and I don't use traffic control
> > that I'm aware of. But I'm not sure what to make of "tc" output, maybe
> > because CONFIG_SHAPER is not set:
> > 
> > 	# tc -s -d qdisc show
> > 	RTNETLINK answers: Invalid argument
> > 	Dump terminated
> 
> Thats because you're missing CONFIG_NET_SCHED. Please enable it and
> try the tc command again, without it we can't see whether the qdisc
> (which is present even without CONFIG_NET_SCHED) just dropped the
> packets.

I'll try that tomorrow.

-- 
Frank